Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1467378 (CVE-2017-10800) - CVE-2017-10800 GraphicsMagick: out of memory in ReadMATImage() function
Summary: CVE-2017-10800 GraphicsMagick: out of memory in ReadMATImage() function
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-10800
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1467379 1467381
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-03 14:59 UTC by Pedro Sampaio
Modified: 2019-09-29 14:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:15:59 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2017-07-03 14:59:29 UTC
An issue was discovered in GraphicsMagick 1.3.25. When a MATLAB image is processed in coders/mat.c, it can lead to a out of memory denial of service in ReadMATImage() if the size specified in metadata for a MAT Object is larger than the actual amount of data.

Upstream patch:

http://hg.code.sf.net/p/graphicsmagick/code/rev/e5761e3a2012

Comment 1 Pedro Sampaio 2017-07-03 14:59:51 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: fedora-all [bug 1467379]

Comment 2 Pedro Sampaio 2017-07-03 15:06:26 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1467381]

Comment 3 Product Security DevOps Team 2019-06-08 03:15:59 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.